## org.eclipse.uml2.common.util
Class DerivedSubsetEObjectEList.DerivedSubsetListIterator

    java.lang.Object
      org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
          org.eclipse.uml2.common.util.DerivedSubsetEObjectEList.DerivedSubsetListIterator

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>

Direct Known Subclasses:
  DerivedSubsetEObjectEList.ResolvingDerivedSubsetListIterator

Enclosing class:
  DerivedSubsetEObjectEList<E>

    protected class DerivedSubsetEObjectEList.DerivedSubsetListIterator

extends DerivedEObjectEList.DerivedListIterator

Field Summary
`protected int` `expectedModCount`

Fields inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`featureIndex, index, prepared, preparedFeature, preparedValues, valuesIterator`

Constructor Summary
`protected` `DerivedSubsetEObjectEList.DerivedSubsetListIterator()`

Method Summary
`void` `add(java.lang.Object element)`
`protected void` `checkModCount()`
`void` `remove()`
`void` `set(java.lang.Object element)`

Methods inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList.DerivedListIterator
`hasNext, hasPrevious, next, nextIndex, prepareNext, preparePrevious, previous, previousIndex, resolve, scanNext, scanPrevious`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expectedModCount

    protected int expectedModCount

Constructor Detail

### DerivedSubsetEObjectEList.DerivedSubsetListIterator

    protected DerivedSubsetEObjectEList.DerivedSubsetListIterator()

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`
  Specified by:
    `remove` in interface `java.util.ListIterator<E>`
  Overrides:
    `remove` in class `DerivedEObjectEList.DerivedListIterator`

### set

    public void set(java.lang.Object element)

  Specified by:
    `set` in interface `java.util.ListIterator<E>`
  Overrides:
    `set` in class `DerivedEObjectEList.DerivedListIterator`

### add

    public void add(java.lang.Object element)

  Specified by:
    `add` in interface `java.util.ListIterator<E>`
  Overrides:
    `add` in class `DerivedEObjectEList.DerivedListIterator`

### checkModCount

    protected void checkModCount()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.